/***
*
*	Copyright (C) 2002 The Wastes Project, All Rights Reserved.
*	
*	This product contains software technology from Valve Software, LLC,
*	Copyright  1996-2001, Valve LLC, All rights reserved.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   The Wastes Project.  All other use, distribution, or modification is prohibited
*   without written permission from The Wastes Project.
*
***/
#ifndef __PARSEBSP_H_
#define __PARSEBSP_H_

class CParseBsp
{
public:
	CParseBsp();

	int CheckMap();
private:
	char *ParseEntity( char *pBuf, int &error, CBspEntity *pEnt );
	void LumpPass( char *pBuf, char *pszClassname, CBspEntity *pEnt );
	char *LoadEntityLump( char *pszFilename );
	void ParseBsp( char *pszClassname, CBspEntity *pEnt );

	char m_szCurrentLevel[256];
};

extern CParseBsp g_ParseBsp;

#endif