//========= Copyright  1996-2001, Valve LLC, All rights reserved. ============
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================

#if !defined ( EV_HLDMH )
#define EV_HLDMH

// bullet types
typedef	enum
{
	BULLET_NONE = 0,

	// Wasteland Bullet Types
	BULLET_9MMP,
	BULLET_10MM,
	BULLET_50AE,
	BULLET_454CASULL,
	BULLET_556MM,
	BULLET_20GAUGE,
	BULLET_10GAUGE,
	BULLET_12GAUGE,
	BULLET_SLUG,
	BULLET_9MM,
	BULLET_762MM,
	BULLET_45ACP,
	BULLET_47MM,
} Bullet;

void EV_HLDM_GunshotDecalTrace( pmtrace_t *pTrace, char *decalName );
void EV_HLDM_DecalGunshot( pmtrace_t *pTrace, int iBulletType );
int EV_HLDM_CheckTracer( int idx, float *vecSrc, float *end, float *forward, float *right, int iBulletType, int iTracerFreq, int *tracerCount );
void EV_HLDM_FireBullets( int idx, float *forward, float *right, float *up, int cShots, float *vecSrc, float *vecDirShooting, float flDistance, int iBulletType, int iTracerFreq, int *tracerCount, float flSpreadX, float flSpreadY );
//BLONDE - Bulletsmoke is for weapon effects and texture specific bulletholes
float EV_HLDM_BulletSmoke ( int idx, pmtrace_t *ptr, float *vecSrc, float *vecEnd, int iBulletType, int glowy );
//&BLONDE
#endif // EV_HLDMH