/***
*
*	Copyright (c) 1996-2001, Valve LLC. All rights reserved.
*	
*	This product contains software technology licensed from Id 
*	Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc. 
*	All Rights Reserved.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef GAME_H
#define GAME_H

extern void GameDLLInit( void );

extern cvar_t	displaysoundlist;

// multiplayer server rules
extern cvar_t	gametype;
extern cvar_t	fraglimit;
extern cvar_t   roundtimelimit;
extern cvar_t	timelimit;
extern cvar_t	friendlyfire;
extern cvar_t	weaponstay;
extern cvar_t	flashlight;
extern cvar_t	decalfrequency;
extern cvar_t	teamlist;
extern cvar_t	teamoverride;
extern cvar_t	defaultteam;
extern cvar_t	allowmonsters;
extern cvar_t   maxlives;

extern cvar_t   allowsidearms;
extern cvar_t   allowsecondary;
extern cvar_t   allowunique;
extern cvar_t   allowexplosives;

// Engine Cvars
extern cvar_t	*g_psv_gravity;
extern cvar_t	*g_psv_aim;

#endif		// GAME_H
