/***
*
*	WastedFX Tool chain
*
*	Author: Joshua Coyne
*	Copyright (C) 2003 The Wastes Project, All Rights Reserved.
*
***/
#if !defined( __CAMERA_H_ )
#define __CAMERA_H_

typedef enum mouse_mode_e {
	MOUSE_NONE,
	MOUSE_LEFT,
	MOUSE_RIGHT,
	MOUSE_BOTH,
};

// Camera for GL Preview
class CCamera
{
public:
	CCamera();
	CCamera( psvec3_t Origin, psvec3_t Angles );

	void ReadInput( float flFrametime );
	void ResetInput();

	psvec3_t m_Origin;
	psvec3_t m_Angles;

	POINT m_LastPos;
	int m_iMouseMode;
};

#endif