/***
*
*	WastedFX Tool chain
*
*	Author: Joshua Coyne
*	Copyright (C) 2003 The Wastes Project, All Rights Reserved.
*
***/
#if !defined( __GLWINDOW_H_ )
#define __GLWINDOW_H_

class CCamera;
class CTimer;

class CGLWindow : public CWindow
{
public:
	CGLWindow( char *pszClassname, HINSTANCE hInstance );
	~CGLWindow();

	virtual void Update();

	void OnLButtonDown();
	void OnLButtonUp();
	void OnRButtonDown();
	void OnRButtonUp();

	void InitGL( int iWidth, int iHeight );
	BOOL SetPixelFormat();
	void SetSize( int iWidth, int iHeight );	

	CCamera *m_pCamera;
	CTimer *m_pTimer;
	HDC m_hDC;
	HGLRC m_hRC;
};

#endif