/***
*
*	WastedFX Tool chain
*
*	Author: Joshua Coyne
*	Copyright (C) 2003 The Wastes Project, All Rights Reserved.
*
***/
#if !defined( __TIMER_H_ )
#define __TIMER_H_

class CTimer
{
public:
	CTimer();
	
	void StartTimer();
	void EndTimer();

	const float GetTime() const { return m_Time; }
private:
	float m_Time;

	// QPC
	BOOL m_UsePerfCounter;
	LARGE_INTEGER m_PerfFrequency;
	LARGE_INTEGER m_PerfStartCount;
	LARGE_INTEGER m_PerfEndCount;

	// GetTickCount
	float m_LastTime;
};

#endif